; this file is used to search for periodicity in data provided by
; the NE Regional Headache Center
; DGB 7/1/03
;

pro migraine

test = 1

; Kevin
ks = [5,5,10,9,4,4,5, $
		3,4,4,4,10,8,3,2,4,4,$
		4,5,5,4,5,10,4,4,4,$
		4,5,5,5,7,3,3,4,4,$
		5,5,3,4,5,4,4,3,1,$
		1,1,1,1,3,4,10,7,4,$
		4,4,4,4,6,4,5,6,10,$
		10,8,7,7,5,5,5,10,10,$
		6,4,4,4,6,6,6,5,10,$
		10,9,4,4,4,6,6,7,10,$
		10,4,2,2,2,10,10,6,5,$
		5,5,5,5,7,7,10,10,7,$
		3,2,2,2,10,4,2,6,6,$
		6,7,6,6,2,2,2,10,10,$
		5,5,3,3,6,6,4,4,10,$
		10,8,4,4,5,4,3,3,7,$
		10,6,3,3,2,2,2,5,5,$
		5,10]

;print, n_elements(ks)

dbAnova,ks, /One_way
PLOT, /YLOG, ABS(FFT(ks))

hist = HISTOGRAM(ks)
bins = FINDGEN(N_ELEMENTS(hist)) + MIN(ks)
;PRINT, MIN(hist)
;PRINT, bins
PLOT, bins, hist, YRANGE = [MIN(hist)-1, MAX(hist)+1], PSYM = 10, $
   XTITLE = 'Bin Number', YTITLE = 'Density per Bin'

end
