; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	06/18/2004 12:13.58
; 
pro WID_BASE_0_event, Event

  wWidget =  Event.top

  case Event.id of

    Widget_Info(wWidget, FIND_BY_UNAME='Menu_Open'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        OpenFile, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Menu_Exit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        OnExit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Menu_LCT'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        OnColor, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Menu_Smooth'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        DoSmooth, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Individual_Image'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='M0_Map'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='T2_Map'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='CalcMapButton'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='NoiseFactorList'): begin
    end
    else:
  endcase

end

pro WID_BASE_0, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'T1T2SimGUI_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  WID_BASE_0 = Widget_Base( GROUP_LEADER=wGroup, UNAME='WID_BASE_0'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1022 ,SCR_YSIZE=593  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3 ,MBAR=WID_BASE_0_MBAR)

  
  Menu_File = Widget_Button(WID_BASE_0_MBAR, UNAME='Menu_File' ,/MENU  $
      ,VALUE='File')

  
  Menu_Open = Widget_Button(Menu_File, UNAME='Menu_Open'  $
      ,VALUE='Open')

  
  Menu_Exit = Widget_Button(Menu_File, UNAME='Menu_Exit' ,/SEPARATOR  $
      ,VALUE='Exit')

  
  Menu_Tools = Widget_Button(WID_BASE_0_MBAR, UNAME='Menu_Tools'  $
      ,/MENU ,VALUE='Tools')

  
  Menu_LCT = Widget_Button(Menu_Tools, UNAME='Menu_LCT' ,VALUE='Load'+ $
      ' Color Table')

  
  Menu_Analyze = Widget_Button(WID_BASE_0_MBAR, UNAME='Menu_Analyze'  $
      ,/MENU ,VALUE='Analyze')

  
  Menu_Smooth = Widget_Button(Menu_Analyze, UNAME='Menu_Smooth'  $
      ,VALUE='Smooth')

  
  Individual_Image = Widget_Draw(WID_BASE_0, UNAME='Individual_Image'  $
      ,YOFFSET=49 ,SCR_XSIZE=328 ,SCR_YSIZE=310  $
      ,EVENT_FUNC='Individual_Image')

  
  WID_LABEL_0 = Widget_Label(WID_BASE_0, UNAME='WID_LABEL_0'  $
      ,XOFFSET=123 ,YOFFSET=25 ,SCR_XSIZE=85 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='Individual Image')

  
  M0_Map = Widget_Draw(WID_BASE_0, UNAME='M0_Map' ,XOFFSET=337  $
      ,YOFFSET=48 ,SCR_XSIZE=328 ,SCR_YSIZE=310 ,EVENT_FUNC='MO_Map')

  
  WID_LABEL_1 = Widget_Label(WID_BASE_0, UNAME='WID_LABEL_1'  $
      ,XOFFSET=486 ,YOFFSET=28 ,SCR_XSIZE=40 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='M0 Map')

  
  T2_Map = Widget_Draw(WID_BASE_0, UNAME='T2_Map' ,XOFFSET=674  $
      ,YOFFSET=47 ,SCR_XSIZE=326 ,SCR_YSIZE=311 ,EVENT_FUNC='T2_Map')

  
  WID_LABEL_2 = Widget_Label(WID_BASE_0, UNAME='WID_LABEL_2'  $
      ,XOFFSET=809 ,YOFFSET=26 ,SCR_XSIZE=40 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='T2 Map')

  
  CalcMapButton = Widget_Button(WID_BASE_0, UNAME='CalcMapButton'  $
      ,XOFFSET=68 ,YOFFSET=414 ,SCR_XSIZE=118 ,SCR_YSIZE=22  $
      ,EVENT_FUNC='Calc_T1T2_Map' ,/ALIGN_CENTER ,VALUE='Calculate'+ $
      ' T1/T2 Map')

  
  NoiseFactorList = Widget_Droplist(WID_BASE_0,  $
      UNAME='NoiseFactorList' ,XOFFSET=307 ,YOFFSET=417  $
      ,SCR_XSIZE=131 ,SCR_YSIZE=93 ,EVENT_FUNC='SetNoiseFactor')

  Widget_Control, /REALIZE, WID_BASE_0

  XManager, 'WID_BASE_0', WID_BASE_0, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro T1T2SimGUI, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  WID_BASE_0, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
