
; when xmanager receives an event, the event structure
; is passed to name_event1 in the ev argument
pro widget1_event, ev
	; was the event passed in a 'select' event?
	; if so, destroy destroy the widget hierarchy built on
	; the top-level base widget that contains the button widget.
	if ev.select then begin
		widget_control, ev.top, /DESTROY
	endif

end

; create top-level base widget named 'base'
; create button widget named 'button' with base as its parent
;
pro widget1
	base = widget_base()
	button = widget_button(base, value = 'Done')
	widget_control, base, /REALIZE
	xmanager, 'Widget1', base
end
