
pro testFit
	X = float(indgen(10))
	y = fltarr(10)
	a = 2.0
	b = .5
	c = 4.0
	for is = 0,N_ELEMENTS(x) - 1 do begin
		y(is) = a * exp(b*x(is)) + c
	endfor

	;print, y
	;break
	yTest = [6.0, 8.0, 9.0, 12.5, 17.9, 27.8, 42.0, 72.1, 111.0, 183.0]
	;plot, x, y, LineStyle = 1
	;oplot, x, yTest, LineStyle = 2
	;Define a vector of weights.
	weights = fltarr(N_ELEMENTS(yTest))
	weights(*) = 1.0
	;weights = 1.0/yTest

	;Provide an initial guess of the function's parameters.
	A = [2.0,0.5,1.0]

	;Compute the parameters.
	yfit = CURVEFIT(X, Y, weights, A, SIGMA, FUNCTION_NAME='testFitFunc')

	;Print the parameters returned in A.
	print, 'Function parameters: ', A
	end