
pro T1MapGUI_event, ev
	widget_control, ev.top, get_uvalue=textwid
	widget_control, ev.id, get_value=val
	noiseFactors = [0.15, 0.20, 0.25, 0.30, 0.35, 0.40, 0.45, 0.50]
	case val of
		0: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.15'
			result = T1MapDicom(noiseFactors[0])
			END
		1: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.20'
			result = T1MapDicom(noiseFactors[1])
			END
		2: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.25'
			result = T1MapDicom(noiseFactors[2])
			END
		3: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.30'
			result = T1MapDicom(noiseFactors[3])
			END
		4: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.35'
			result = T1MapDicom(noiseFactors[4])
			END
		5: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.40'
			result = T1MapDicom(noiseFactors[5])
			END
		6: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.45'
			result = T1MapDicom(noiseFactors[6])
			END
		7: BEGIN
			widget_control, textwid, set_value='Using noise factor = 0.50'
			result = T1MapDicom(noiseFactors[7])
			END
	endcase

end

pro T1MapGUI
	noiseFactors = ['0.15','0.20','0.25','0.30','0.35','0.40','0.45','0.50']
	temp = [0.15,0.20,0.25,0.30,0.35,0.40,0.45,0.50]
	stdScale = ['1.0','1.5','2.0','2.5','3.0','3.5','4.0','4.5','5.0']
	base = widget_base(/ROW)
	draw = widget_draw(base, xsize = 256, ysize = 256)
	buttonGrp1 = cw_bgroup(base,noiseFactors,BUTTON_UVALUE=temp,/COLUMN, /EXCLUSIVE, $
						   LABEL_TOP='Noise Floor Scale Value', /FRAME)
	;buttonGrp2 = cw_bgroup(base,stdScale,/COLUMN, /EXCLUSIVE, $
	;						LABEL_TOP='Outlyer Threshold Scale Factor (*std)', /FRAME)

	text = widget_text(base, xsize=20)
	;button3 = widget_button(base, value = 'Done', uvalue = 'DONE')
	widget_control, base, set_uvalue=text
	widget_control, /REALIZE, base
	widget_control, draw, get_value = drawIndex
	wset, drawIndex

	xmanager, 'T1MapGUI', base

end