
pro T2MapperTest_event, ev
	widget_control, ev.top, get_uvalue=textwid
	widget_control, ev.id, get_uvalue=uval
	print, 'Event Structure Type: ', TAG_NAMES(ev, /STRUCTURE_NAME)
	print, ev.top
	print, ev.id
	print, textwid
	case uval of
		'ONE' : BEGIN
				 widget_control, textwid, set_uvalue='Generating T2 Map from DICOM images'
				 result = T2MapDicom(0.20)
				 live_image, result, PARENT_BASE=base
				 wset, drawIndex
				 END
		'TWO' : widget_control, textwid, set_value='Button Two Pressed'
		'THREE' : widget_control, textwid, set_value='Button Three Pressed'
		'DONE': widget_control, ev.top, /DESTROY
	endcase

end

pro T2MapperTest
	noiseFactors = ['0.15','0.20','0.25','0.30','0.35','0.40','0.45','0.50']
	temp = [0.15,0.20,0.25,0.30,0.35,0.40,0.45,0.50]
	stdScale = ['1.0','1.5','2.0','2.5','3.0','3.5','4.0','4.5','5.0']
	base = widget_base(/COLUMN)
	draw = widget_draw(base, xsize = 512, ysize = 512)
	button1 = widget_button(base, VALUE = 'Call T2MapDicom', UVALUE = 'ONE')
	button2 = widget_button(base, VALUE = 'Two', UVALUE = 'TWO')
	button3 = widget_button(base, VALUE = 'Three', UVALUE = 'THREE')
	button4 = widget_button(base, value = 'Done', uvalue = 'DONE')
	text = widget_text(base, xsize=20)
	widget_control, base, /REALIZE
	widget_control, draw, get_value = drawIndex
	widget_control, base, set_uvalue=drawIndex
	;widget_control, draw, TIMER=0.0
	wset, drawIndex
	xmanager, 'T2MapperTest', base, /NO_BLOCK

end