; Define two n-element vectors of paired data:
pro test
X = [-3.20, 4.49, -1.66, 0.64, -2.43, -0.89, -0.12, 1.41, $
      2.95, 2.18, 3.72, 5.26]
Y = [-7.14, -1.30, -4.26, -1.90, -6.19, -3.98, -2.87, -1.66, $
     -0.78, -2.61, 0.31, 1.74]

; Define an n-element vector of standard deviations with a constant value of 0.85:
sdev = REPLICATE(0.85, N_ELEMENTS(X))

; Compute the model parameters, A and B:
result = LINFIT(X, Y, SDEV=sdev)

plot, y,x
; Print the result:
PRINT, result

end