;
; IDL Event Callback Procedures
; time_eventcb
;
; Generated on:	12/30/103 16:26.54
;
;-----------------------------------------------------------------
; Activate Button Callback Procedure.
; Argument:
;   Event structure:
;
;   {WIDGET_BUTTON, ID:0L, TOP:0L, HANDLER:0L, SELECT:0}
;
;   ID is the widget ID of the component generating the event. TOP is
;       the widget ID of the top level widget containing ID. HANDLER
;       contains the widget ID of the widget associated with the
;       handler routine.

;   SELECT is set to 1 if the button was set, and 0 if released.
;       Normal buttons do not generate events when released, so
;       SELECT will always be 1. However, toggle buttons (created by
;       parenting a button to an exclusive or non-exclusive base)
;       return separate events for the set and release actions.

;   Retrieve the IDs of other widgets in the widget hierarchy using
;       id=widget_info(Event.top, FIND_BY_UNAME=name)

;-----------------------------------------------------------------
pro OnPress, Event
	 ; Get the widget ID of the label widget.
   Label = widget_info(Event.top, find_by_uname='Clock')

   ; Set the value of the label widget to current time.
   widget_control, Label, set_value=Systime(0)

end
;
; Empty stub procedure used for autoloading.
;
pro time_eventcb
end
